## bgw-replstatus 1.0.5

=== Makefile ===
MODULES = bgw_replstatus

PG_CONFIG=pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

NC = nc
NC_ARGS = -dq1
LISTEN_ADDRESS = 127.0.0.1
LISTEN_PORT = 5400

installcheck:
	[ "$(shell $(NC) $(NC_ARGS) $(LISTEN_ADDRESS) $(LISTEN_PORT))" = "MASTER" ]

## bgw-replstatus 1.0.1

=== debian/changelog ===
bgw-replstatus (1.0.1) unstable; urgency=medium

  * Team upload.
  * Use netcat to run basic functionality test on installcheck.
  * Add copyright file and long package description.

 -- Christoph Berg <myon@debian.org>  Fri, 31 Mar 2017 20:24:44 +0200

bgw-replstatus (1.0.0) unstable; urgency=medium

  * Initial release.

 -- Magnus Hagander <magnus@hagander.net>  Fri, 31 Mar 2017 14:01:35 +0200

=== debian/control ===
Source: bgw-replstatus
Section: database
Priority: extra
Maintainer: Magnus Hagander <magnus@hagander.net>
Uploaders: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
Standards-Version: 3.9.8
Homepage: https://github.com/mhagander/bgw_replstatus
Vcs-Git: https://github.com/mhagander/bgw_replstatus.git
Vcs-Browser: https://github.com/mhagander/bgw_replstatus

Package: postgresql-9.6-bgw-replstatus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
Description: report whether PostgreSQL node is master or standby
 bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
 replication status of a node. It's intended to be polled by a load balancer
 such as haproxy.
 .
 When installed, a background worker will be started that listens on a TCP
 port. A connection to this port will get a TCP response back saying either
 MASTER or STANDBY depending on the current state of the node.

## bgw-replstatus 1.0.2

=== debian/changelog ===
bgw-replstatus (1.0.2) unstable; urgency=medium

  * Team upload for PostgreSQL 10.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Sep 2017 18:42:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Magnus Hagander <magnus@hagander.net>
 Uploaders: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/mhagander/bgw_replstatus
 Vcs-Git: https://github.com/mhagander/bgw_replstatus.git
 Vcs-Browser: https://github.com/mhagander/bgw_replstatus
 
-Package: postgresql-9.6-bgw-replstatus
+Package: postgresql-10-bgw-replstatus
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
 Description: report whether PostgreSQL node is master or standby
  bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
  replication status of a node. It's intended to be polled by a load balancer

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, netcat-openbsd
Tests: installcheck

## bgw-replstatus 1.0.2.pgdg70%2B1

=== debian/changelog ===
bgw-replstatus (1.0.2.pgdg70+1) wheezy-pgdg; urgency=medium

  * Rebuild for wheezy-pgdg (jenkins-bgw-replstatus-source-
    distribution=wheezy-3, 43ef1ff98669c23d1d40245d0335bdd8c1932f55/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Fri, 16 Feb 2018 20:40:52 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,30 @@
 Homepage: https://github.com/mhagander/bgw_replstatus
 Vcs-Git: https://github.com/mhagander/bgw_replstatus.git
 Vcs-Browser: https://github.com/mhagander/bgw_replstatus
+
+Package: postgresql-9.5-bgw-replstatus
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
+Description: report whether PostgreSQL node is master or standby
+ bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
+ replication status of a node. It's intended to be polled by a load balancer
+ such as haproxy.
+ .
+ When installed, a background worker will be started that listens on a TCP
+ port. A connection to this port will get a TCP response back saying either
+ MASTER or STANDBY depending on the current state of the node.
+
+Package: postgresql-9.6-bgw-replstatus
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
+Description: report whether PostgreSQL node is master or standby
+ bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
+ replication status of a node. It's intended to be polled by a load balancer
+ such as haproxy.
+ .
+ When installed, a background worker will be started that listens on a TCP
+ port. A connection to this port will get a TCP response back saying either
+ MASTER or STANDBY depending on the current state of the node.
 
 Package: postgresql-10-bgw-replstatus
 Architecture: any

## bgw-replstatus 1.0.3

=== debian/changelog ===
bgw-replstatus (1.0.3) unstable; urgency=medium

  * Team upload for PostgreSQL 11.
  * Priority: optional.
  * Update PostgreSQL team address.
  * Bump S-V.

 -- Christoph Berg <myon@debian.org>  Thu, 11 Oct 2018 22:15:39 +0200

=== debian/control ===
Source: bgw-replstatus
Section: database
Priority: optional
Maintainer: Magnus Hagander <magnus@hagander.net>
Uploaders: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
Standards-Version: 4.2.0
Homepage: https://github.com/mhagander/bgw_replstatus
Vcs-Git: https://github.com/mhagander/bgw_replstatus.git
Vcs-Browser: https://github.com/mhagander/bgw_replstatus

Package: postgresql-11-bgw-replstatus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
Description: report whether PostgreSQL node is master or standby
 bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
 replication status of a node. It's intended to be polled by a load balancer
 such as haproxy.
 .
 When installed, a background worker will be started that listens on a TCP
 port. A connection to this port will get a TCP response back saying either
 MASTER or STANDBY depending on the current state of the node.

## bgw-replstatus 1.0.3+nmu1

=== debian/changelog ===
bgw-replstatus (1.0.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:32:47 +0800

## bgw-replstatus 1.0.3.pgdg90%2B2

=== debian/changelog ===
bgw-replstatus (1.0.3.pgdg90+2) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 11 Oct 2018 22:15:39 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,42 @@
 Homepage: https://github.com/mhagander/bgw_replstatus
 Vcs-Git: https://github.com/mhagander/bgw_replstatus.git
 Vcs-Browser: https://github.com/mhagander/bgw_replstatus
+
+Package: postgresql-9.5-bgw-replstatus
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
+Description: report whether PostgreSQL node is master or standby
+ bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
+ replication status of a node. It's intended to be polled by a load balancer
+ such as haproxy.
+ .
+ When installed, a background worker will be started that listens on a TCP
+ port. A connection to this port will get a TCP response back saying either
+ MASTER or STANDBY depending on the current state of the node.
+
+Package: postgresql-9.6-bgw-replstatus
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
+Description: report whether PostgreSQL node is master or standby
+ bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
+ replication status of a node. It's intended to be polled by a load balancer
+ such as haproxy.
+ .
+ When installed, a background worker will be started that listens on a TCP
+ port. A connection to this port will get a TCP response back saying either
+ MASTER or STANDBY depending on the current state of the node.
+
+Package: postgresql-10-bgw-replstatus
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
+Description: report whether PostgreSQL node is master or standby
+ bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
+ replication status of a node. It's intended to be polled by a load balancer
+ such as haproxy.
+ .
+ When installed, a background worker will be started that listens on a TCP
+ port. A connection to this port will get a TCP response back saying either
+ MASTER or STANDBY depending on the current state of the node.
 
 Package: postgresql-11-bgw-replstatus
 Architecture: any

## bgw-replstatus 1.0.4

=== debian/changelog ===
bgw-replstatus (1.0.4) unstable; urgency=medium

  * Team upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 09:40:31 +0100

=== debian/control ===
Source: bgw-replstatus
Section: database
Priority: optional
Maintainer: Magnus Hagander <magnus@hagander.net>
Uploaders: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~)
Standards-Version: 4.2.0
Homepage: https://github.com/mhagander/bgw_replstatus
Vcs-Git: https://github.com/mhagander/bgw_replstatus.git
Vcs-Browser: https://github.com/mhagander/bgw_replstatus

Package: postgresql-12-bgw-replstatus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-12
Description: report whether PostgreSQL node is master or standby
 bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
 replication status of a node. It's intended to be polled by a load balancer
 such as haproxy.
 .
 When installed, a background worker will be started that listens on a TCP
 port. A connection to this port will get a TCP response back saying either
 MASTER or STANDBY depending on the current state of the node.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-bgw-replstatus

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	+pg_buildext clean build-%v
	rm -rf results # clean up behind debian/tests/installcheck

%:
	dh $@

## bgw-replstatus 1.0.5

=== debian/changelog ===
bgw-replstatus (1.0.5) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.2.1, no changes needed.

  [ Christoph Berg ]
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * Build-depend on netcat-openbsd and run tests at build time as well.
  * DH 13.
  * R³: no.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.
  * Add myself to uploaders.

 -- Christoph Berg <myon@debian.org>  Sun, 18 Oct 2020 21:51:33 +0200

=== debian/control ===
Source: bgw-replstatus
Section: database
Priority: optional
Maintainer: Magnus Hagander <magnus@hagander.net>
Uploaders: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 netcat-openbsd,
 postgresql-all (>= 217~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/mhagander/bgw_replstatus
Vcs-Git: https://github.com/mhagander/bgw_replstatus.git
Vcs-Browser: https://github.com/mhagander/bgw_replstatus

Package: postgresql-13-bgw-replstatus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-13
Description: report whether PostgreSQL node is master or standby
 bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
 replication status of a node. It's intended to be polled by a load balancer
 such as haproxy.
 .
 When installed, a background worker will be started that listens on a TCP
 port. A connection to this port will get a TCP response back saying either
 MASTER or STANDBY depending on the current state of the node.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	pg_buildext -o 'shared_preload_libraries=bgw_replstatus' installcheck . . postgresql-%v-bgw-replstatus

%:
	dh $@ --with pgxs

## bgw-replstatus 1.0.5.pgdg16.04+1

=== debian/changelog ===
bgw-replstatus (1.0.5.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 9.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 18 Oct 2020 21:51:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 9),
  netcat-openbsd,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0
@@ -13,6 +13,66 @@
 Homepage: https://github.com/mhagander/bgw_replstatus
 Vcs-Git: https://github.com/mhagander/bgw_replstatus.git
 Vcs-Browser: https://github.com/mhagander/bgw_replstatus
+
+Package: postgresql-9.5-bgw-replstatus
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
+Description: report whether PostgreSQL node is master or standby
+ bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
+ replication status of a node. It's intended to be polled by a load balancer
+ such as haproxy.
+ .
+ When installed, a background worker will be started that listens on a TCP
+ port. A connection to this port will get a TCP response back saying either
+ MASTER or STANDBY depending on the current state of the node.
+
+Package: postgresql-9.6-bgw-replstatus
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
+Description: report whether PostgreSQL node is master or standby
+ bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
+ replication status of a node. It's intended to be polled by a load balancer
+ such as haproxy.
+ .
+ When installed, a background worker will be started that listens on a TCP
+ port. A connection to this port will get a TCP response back saying either
+ MASTER or STANDBY depending on the current state of the node.
+
+Package: postgresql-10-bgw-replstatus
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
+Description: report whether PostgreSQL node is master or standby
+ bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
+ replication status of a node. It's intended to be polled by a load balancer
+ such as haproxy.
+ .
+ When installed, a background worker will be started that listens on a TCP
+ port. A connection to this port will get a TCP response back saying either
+ MASTER or STANDBY depending on the current state of the node.
+
+Package: postgresql-11-bgw-replstatus
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
+Description: report whether PostgreSQL node is master or standby
+ bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
+ replication status of a node. It's intended to be polled by a load balancer
+ such as haproxy.
+ .
+ When installed, a background worker will be started that listens on a TCP
+ port. A connection to this port will get a TCP response back saying either
+ MASTER or STANDBY depending on the current state of the node.
+
+Package: postgresql-12-bgw-replstatus
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-12
+Description: report whether PostgreSQL node is master or standby
+ bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
+ replication status of a node. It's intended to be polled by a load balancer
+ such as haproxy.
+ .
+ When installed, a background worker will be started that listens on a TCP
+ port. A connection to this port will get a TCP response back saying either
+ MASTER or STANDBY depending on the current state of the node.
 
 Package: postgresql-13-bgw-replstatus
 Architecture: any

## bgw-replstatus 1.0.5.pgdg18.04+1

=== debian/changelog ===
bgw-replstatus (1.0.5.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 18 Oct 2020 21:51:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  netcat-openbsd,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0

## bgw-replstatus 1.0.5.pgdg20.04+1

=== debian/changelog ===
bgw-replstatus (1.0.5.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 18 Oct 2020 21:51:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  netcat-openbsd,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0

## bgw-replstatus 1.0.5.pgdg90+1

=== debian/changelog ===
bgw-replstatus (1.0.5.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 18 Oct 2020 21:51:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 12),
+ debhelper (>= 10),
  netcat-openbsd,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0

## bgw-replstatus 1.0.5.pgdg100+1

=== debian/changelog ===
bgw-replstatus (1.0.5.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 18 Oct 2020 21:51:33 +0200

## bgw-replstatus 1.0.5.pgdg110+1

=== debian/changelog ===
bgw-replstatus (1.0.5.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 18 Oct 2020 21:51:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  netcat-openbsd,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0

## bgw-replstatus 1.0.5.pgdg+1

=== debian/changelog ===
bgw-replstatus (1.0.5.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 18 Oct 2020 21:51:33 +0200

## bgw-replstatus 1.0.6~20220627.1431-2~1.git6bb378e.pgdg18.04+1

=== debian/changelog ===
bgw-replstatus (1.0.6~20220627.1431-2~1.git6bb378e.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:34:43 +0100

bgw-replstatus (1.0.6-2) unstable; urgency=medium

  * Fix GitHub watch file.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jan 2022 16:34:43 +0100

bgw-replstatus (1.0.6-1) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Oct 2021 10:33:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 11),
  netcat-openbsd,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0
@@ -13,30 +13,6 @@
 Homepage: https://github.com/mhagander/bgw_replstatus
 Vcs-Git: https://github.com/mhagander/bgw_replstatus.git
 Vcs-Browser: https://github.com/mhagander/bgw_replstatus
-
-Package: postgresql-9.5-bgw-replstatus
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
-Description: report whether PostgreSQL node is master or standby
- bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
- replication status of a node. It's intended to be polled by a load balancer
- such as haproxy.
- .
- When installed, a background worker will be started that listens on a TCP
- port. A connection to this port will get a TCP response back saying either
- MASTER or STANDBY depending on the current state of the node.
-
-Package: postgresql-9.6-bgw-replstatus
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
-Description: report whether PostgreSQL node is master or standby
- bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
- replication status of a node. It's intended to be polled by a load balancer
- such as haproxy.
- .
- When installed, a background worker will be started that listens on a TCP
- port. A connection to this port will get a TCP response back saying either
- MASTER or STANDBY depending on the current state of the node.
 
 Package: postgresql-10-bgw-replstatus
 Architecture: any
@@ -85,3 +61,15 @@
  When installed, a background worker will be started that listens on a TCP
  port. A connection to this port will get a TCP response back saying either
  MASTER or STANDBY depending on the current state of the node.
+
+Package: postgresql-14-bgw-replstatus
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-14
+Description: report whether PostgreSQL node is master or standby
+ bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
+ replication status of a node. It's intended to be polled by a load balancer
+ such as haproxy.
+ .
+ When installed, a background worker will be started that listens on a TCP
+ port. A connection to this port will get a TCP response back saying either
+ MASTER or STANDBY depending on the current state of the node.

## bgw-replstatus 1.0.6~20220627.1431-2~1.git6bb378e.pgdg20.04+1

=== debian/changelog ===
bgw-replstatus (1.0.6~20220627.1431-2~1.git6bb378e.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:34:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  netcat-openbsd,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0

## bgw-replstatus 1.0.6~20220627.1431-2~1.git6bb378e.pgdg22.04+1

=== debian/changelog ===
bgw-replstatus (1.0.6~20220627.1431-2~1.git6bb378e.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:34:43 +0100

## bgw-replstatus 1.0.6~20220627.1431-2~1.git6bb378e.pgdg90+1

=== debian/changelog ===
bgw-replstatus (1.0.6~20220627.1431-2~1.git6bb378e.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:34:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 12),
+ debhelper (>= 10),
  netcat-openbsd,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0

## bgw-replstatus 1.0.6~20220627.1431-2~1.git6bb378e.pgdg100+1

=== debian/changelog ===
bgw-replstatus (1.0.6~20220627.1431-2~1.git6bb378e.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:34:43 +0100

## bgw-replstatus 1.0.6~20220627.1431-2~1.git6bb378e.pgdg110+1

=== debian/changelog ===
bgw-replstatus (1.0.6~20220627.1431-2~1.git6bb378e.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:34:43 +0100

## bgw-replstatus 1.0.6~20220627.1431-2~1.git6bb378e.pgdg120+1

=== debian/changelog ===
bgw-replstatus (1.0.6~20220627.1431-2~1.git6bb378e.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:34:43 +0100

## bgw-replstatus 1.0.6~20220627.1431-2~1.git6bb378e.pgdg+1

=== debian/changelog ===
bgw-replstatus (1.0.6~20220627.1431-2~1.git6bb378e.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:34:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  netcat-openbsd,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0

## bgw-replstatus 1.0.6

=== debian/changelog ===
bgw-replstatus (1.0.6-2.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:34:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 10),
  netcat-openbsd,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0
@@ -13,6 +13,18 @@
 Homepage: https://github.com/mhagander/bgw_replstatus
 Vcs-Git: https://github.com/mhagander/bgw_replstatus.git
 Vcs-Browser: https://github.com/mhagander/bgw_replstatus
+
+Package: postgresql-9.6-bgw-replstatus
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
+Description: report whether PostgreSQL node is master or standby
+ bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
+ replication status of a node. It's intended to be polled by a load balancer
+ such as haproxy.
+ .
+ When installed, a background worker will be started that listens on a TCP
+ port. A connection to this port will get a TCP response back saying either
+ MASTER or STANDBY depending on the current state of the node.
 
 Package: postgresql-10-bgw-replstatus
 Architecture: any

## bgw-replstatus 1.0.7

=== debian/changelog ===
bgw-replstatus (1.0.7-3.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 10 Sep 2024 13:32:04 +0200

bgw-replstatus (1.0.7-3) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Tue, 10 Sep 2024 13:32:04 +0200

bgw-replstatus (1.0.7-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Sep 2023 14:42:46 +0200

bgw-replstatus (1.0.7-1) unstable; urgency=medium

  * Mark bgw_replstatus_main extern PGDLLEXPORT so PG16 can find it.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jul 2023 23:00:08 +0200

bgw-replstatus (1.0.6-3) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Oct 2022 15:21:32 +0200

=== debian/control ===
Source: bgw-replstatus
Section: database
Priority: optional
Maintainer: Magnus Hagander <magnus@hagander.net>
Uploaders:
 Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 netcat-openbsd,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/mhagander/bgw_replstatus
Vcs-Git: https://github.com/mhagander/bgw_replstatus.git
Vcs-Browser: https://github.com/mhagander/bgw_replstatus

Package: postgresql-10-bgw-replstatus
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: report whether PostgreSQL node is master or standby
 bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
 replication status of a node. It's intended to be polled by a load balancer
 such as haproxy.
 .
 When installed, a background worker will be started that listens on a TCP
 port. A connection to this port will get a TCP response back saying either
 MASTER or STANDBY depending on the current state of the node.

Package: postgresql-11-bgw-replstatus
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: report whether PostgreSQL node is master or standby
 bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
 replication status of a node. It's intended to be polled by a load balancer
 such as haproxy.
 .
 When installed, a background worker will be started that listens on a TCP
 port. A connection to this port will get a TCP response back saying either
 MASTER or STANDBY depending on the current state of the node.

Package: postgresql-12-bgw-replstatus
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: report whether PostgreSQL node is master or standby
 bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
 replication status of a node. It's intended to be polled by a load balancer
 such as haproxy.
 .
 When installed, a background worker will be started that listens on a TCP
 port. A connection to this port will get a TCP response back saying either
 MASTER or STANDBY depending on the current state of the node.

Package: postgresql-13-bgw-replstatus
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: report whether PostgreSQL node is master or standby
 bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
 replication status of a node. It's intended to be polled by a load balancer
 such as haproxy.
 .
 When installed, a background worker will be started that listens on a TCP
 port. A connection to this port will get a TCP response back saying either
 MASTER or STANDBY depending on the current state of the node.

Package: postgresql-14-bgw-replstatus
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: report whether PostgreSQL node is master or standby
 bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
 replication status of a node. It's intended to be polled by a load balancer
 such as haproxy.
 .
 When installed, a background worker will be started that listens on a TCP
 port. A connection to this port will get a TCP response back saying either
 MASTER or STANDBY depending on the current state of the node.

Package: postgresql-15-bgw-replstatus
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: report whether PostgreSQL node is master or standby
 bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
 replication status of a node. It's intended to be polled by a load balancer
 such as haproxy.
 .
 When installed, a background worker will be started that listens on a TCP
 port. A connection to this port will get a TCP response back saying either
 MASTER or STANDBY depending on the current state of the node.

Package: postgresql-16-bgw-replstatus
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: report whether PostgreSQL node is master or standby
 bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
 replication status of a node. It's intended to be polled by a load balancer
 such as haproxy.
 .
 When installed, a background worker will be started that listens on a TCP
 port. A connection to this port will get a TCP response back saying either
 MASTER or STANDBY depending on the current state of the node.

## bgw-replstatus 1.0.8

=== debian/changelog ===
bgw-replstatus (1.0.8-2) unstable; urgency=medium

  * Upload for PostgreSQL 18.
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Tue, 07 Oct 2025 18:13:21 +0200

bgw-replstatus (1.0.8-1) unstable; urgency=medium

  * Support PostgreSQL 18.

 -- Christoph Berg <myon@debian.org>  Sun, 20 Apr 2025 17:57:24 +0200

=== debian/control ===
Source: bgw-replstatus
Section: database
Priority: optional
Maintainer: Magnus Hagander <magnus@hagander.net>
Uploaders:
 Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 netcat-openbsd,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.2
Homepage: https://github.com/mhagander/bgw_replstatus
Vcs-Git: https://github.com/mhagander/bgw_replstatus.git
Vcs-Browser: https://github.com/mhagander/bgw_replstatus

Package: postgresql-18-bgw-replstatus
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: report whether PostgreSQL node is master or standby
 bgw_replstatus is a tiny PostgreSQL background worker to cheaply report the
 replication status of a node. It's intended to be polled by a load balancer
 such as haproxy.
 .
 When installed, a background worker will be started that listens on a TCP
 port. A connection to this port will get a TCP response back saying either
 MASTER or STANDBY depending on the current state of the node.

=== debian/tests/control ===
Depends:
 netcat-openbsd,
 postgresql-common-dev,
 @,
Tests:
 installcheck,

=== debian/watch ===
version=4
https://github.com/mhagander/bgw_replstatus/tags .*/([0-9.]+).tar.gz
